
Redmine - Feature #1294

Gantt Chart: Show/Hide Right Menu

2008-05-24 01:02 - Jonathan Whetsell

Status: Closed Start date: 2008-05-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It would be a nice feature to be able to show/hide the right menu when view the Gantt chart. The extra space could be filled by the

Gantt chart to help clearly view information.

Related issues:

Is duplicate of Redmine - Feature #10525: A new button to hide/show the sidebar Closed

History

#1 - 2010-10-03 15:14 - Mischa The Evil

- Category changed from UI to Gantt

#2 - 2010-12-16 07:44 - Mischa The Evil

- Assignee deleted (Jean-Philippe Lang)

#3 - 2013-03-17 08:47 - Ivan Cenov

See this plugin https://github.com/ries-tech/sidebar_hide

It adds ability to hide the sidebar.

#4 - 2013-03-18 09:29 - Dipan Mehta

I know that sidebar_hide plugin does a good job! I think this is something shouldn't be done through plugins.

Many themes are simply not compatible with the the plug-in. Unfortunately, by digging up you realize this is is neither a plug-in's own issue as such

because many themes have their own peculiar problems (and default theme works) on the other hand - most themes works perfectly except this side

bar features!

So I strongly vote NOT to close this feature and must have this feature in the core - as soon as possible.

#5 - 2013-03-18 11:50 - Daniel Felix

Yes I would agree Dipan.

There are many different types of request regarding a collapsible sidebar or a better sidebar customization.

I would prefer to integrate a little script for the collapsible sidebar.

This could close many issues and this function would come out of the box with Redmine.

I added a little Javascript in my theme to solve this problem for me with some cookie. But I'm sure, that this would be better to save the collapsed

state in the database.

#6 - 2013-03-19 16:08 - Dipan Mehta

I would strongly request if we can include this as part of 2.4?

#7 - 2013-03-19 21:03 - Daniel Felix

- Status changed from New to Closed

- Resolution set to Duplicate

Well, I'm closing this in favour of #10525.

This one could be resolved by the issue stated above.

Edit:

The reason why I close the older issue in favour of #10525 is simple. This issue aims just to hide the gantt sidebar. #10525 is more general to allow
the sidebar to collapse on every view.
